petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatLUFactor

Performs in-place LU factorization of matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatLUFactor(Mat mat,IS row,IS col,const MatFactorInfo *info)

Collective on Mat Many br

### Input Parameters

| mat | - the matrix Many br
| row | - row permutation Many br
| col | - column permutation Many br
| info | - options for factorization, includes Many br

             fill - expected fill as ratio of original fill.

             dtcol - pivot tolerance (0 no pivot, 1 full column pivoting)

                      Run with the option -info to determine an optimal value to use

### Notes

Most users should employ the simplified KSP interface for linear solvers Many brinstead of working directly with matrix algebra routines such as this. Many brSee, e.g., KSPCreate(). Many br

This changes the state of the matrix to a factored matrix; it cannot be used Many brfor example with MatSetValues() unless one first calls MatSetUnfactored(). Many br

Many br

### See Also

MatLUFactorSymbolic(), MatLUFactorNumeric(), MatCholeskyFactor(),
MatGetOrdering(), MatSetUnfactored(), MatFactorInfo, MatGetFactor() Many br

Developer Note: fortran interface is not autogenerated as the f90 Many brinterface defintion cannot be generated correctly [due to MatFactorInfo] Many br

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages